#!/bin/sh -

# Sample of how one might start up an rpki-rp container, season to
# taste.  This configuration publishes the rpki-rtr port globally, and
# publishes the rcynic web status pages to localhost on port 8888.

docker create -it \
       --name rpki-rp \
       --privileged \
       --publish 323:323 \
       --publish 127.0.0.1:8888:80 \
       --mount 'type=volume,source=rpki-rp-postgres,target=/var/lib/postgresql/9.6/main' \
       --mount 'type=volume,source=rpki-rp-rcynic,target=/var/rcynic' \
       rpki-rp:latest
