#!/bin/sh -
#
# Startup script for rpki-rp running under Docker.

# Start non-RPKI daemons.  postgresql in particular needs to be up
# before the running the rpki-rp postinst script, so that postinst can
# look for the database, configure it if necessary, perform database
# migrations, et cetera.

for i in rsyslog postgresql xinetd apache2
do
    service $i start
    sleep 1
done

# Run rpki-rp's postinst script.  This is a no-op if everything's up
# to date, but will do everything including creating databases if needed.

dpkg --configure --pending

# The rest of rpki-rp runs under cron.

exec /usr/sbin/cron -f -L 15
